org.eclipse.graphiti.ui.internal.figures

## Class GFTextFlow

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.text.FlowFigure
    - - org.eclipse.draw2d.text.InlineFlow
      - - org.eclipse.draw2d.text.TextFlow
        - - org.eclipse.graphiti.ui.internal.figures.GFTextFlow

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

    public class GFTextFlow
    extends org.eclipse.draw2d.text.TextFlow

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

### Field Summary

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`GFTextFlow(MultiText multiText, IConfigurationProviderInternal configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paint(org.eclipse.draw2d.Graphics graphics)`
`void` `setSuppressText(boolean suppressText)`

### Methods inherited from class org.eclipse.draw2d.text.TextFlow

`addLeadingWordRequirements, getBidiInfo, getCaretPlacement, getFirstOffsetForLine, getLastOffsetForLine, getNextOffset, getNextVisibleOffset, getOffset, getPreviousVisibleOffset, getText, isTextTruncated, setBidiInfo, setSelection, setText, toString`

### Methods inherited from class org.eclipse.draw2d.text.InlineFlow

`containsPoint, getFragments, postValidate, setBorder`

### Methods inherited from class org.eclipse.draw2d.text.FlowFigure

`add, remove, setBounds, setFlowContext`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFTextFlow

    public GFTextFlow(MultiText multiText,
                      IConfigurationProviderInternal configurationProvider)

### Method Detail

#### paint

    public void paint(org.eclipse.draw2d.Graphics graphics)

Specified by:
  `paint` in interface `org.eclipse.draw2d.IFigure`
Overrides:
  `paint` in class `org.eclipse.draw2d.Figure`

#### setSuppressText

    public void setSuppressText(boolean suppressText)